> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superform.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Chains



## OpenAPI

````yaml https://persephone.superform.xyz/openapi.json get /v1/supported/chains
openapi: 3.1.0
info:
  title: Superform API
  description: API for interacting with the Superform platform
  version: 33.2.0
  contact:
    name: Superform Team
    url: https://superform.xyz
servers:
  - url: https://persephone.superform.xyz
security:
  - SF-API-KEY: []
tags:
  - name: RestAPIService
paths:
  /v1/supported/chains:
    get:
      tags:
        - RestAPIService
      summary: Get Supported Chains
      operationId: RestAPIService_GetSupportedChains
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/restGetSupportedChainsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    restGetSupportedChainsResponse:
      type: object
      properties:
        chains:
          type: array
          items:
            $ref: '#/components/schemas/commonChain'
      title: Supported
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    commonChain:
      type: object
      properties:
        chain_id:
          type: string
          format: uint64
        name:
          type: string
        icon:
          type: string
        is_l1:
          type: boolean
        rpcs:
          type: array
          items:
            type: string
        explorers:
          type: array
          items:
            type: string
        currency_name:
          type: string
        currency_symbol:
          type: string
        currency_icon:
          type: string
        currency_decimals:
          type: integer
          format: int32
        currency_min_gas:
          type: string
      title: Chain represents a blockchain network
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    SF-API-KEY:
      type: apiKey
      description: >-
        API key required for authentication. Use the value {{v2_api_key}} in
        Postman.
      name: SF-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.